Export collection as ZIP
GET
/api/v1/collections.export
const url = 'https://your-orimora-instance.example.com/api/v1/collections.export?id=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0&format=zip';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://your-orimora-instance.example.com/api/v1/collections.export?id=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0&format=zip' \ --header 'Authorization: Bearer <token>'Downloads all documents in a collection as a ZIP archive.
Authorization: Three-layer check:
- API key must carry the
readscope. - If the key uses restricted mode, the collection must be in the key’s allowlist.
- The caller must have read access to the collection (same as document listing).
format=zip (default) returns Markdown files. format=html returns HTML files.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” id
required
Collection ID to export
string format: uuid
Collection ID to export
format
string
Responses
Section titled “ Responses ”ZIP archive download
Media type application/zip
string format: binary
Unauthorized
Media type application/json
object
error
required
Human-readable error message
string
Example generated
{ "error": "example"}Forbidden (missing read scope or insufficient permissions)
Media type application/json
object
error
required
Human-readable error message
string
Example generated
{ "error": "example"}Collection not found
Media type application/json
object
error
required
Human-readable error message
string
Example generated
{ "error": "example"}